Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512525 - [Regression] CFME dont logout after session timeout
Summary: [Regression] CFME dont logout after session timeout
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Security
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.10.0
Assignee: Martin Hradil
QA Contact: Shalom Naim
URL:
Whiteboard:
: 1567879 (view as bug list)
Depends On:
Blocks: 1513257
TreeView+ depends on / blocked
 
Reported: 2017-11-13 12:28 UTC by Shalom Naim
Modified: 2019-02-11 13:55 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1513257 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:55:42 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)
eample (deleted)
2017-11-13 12:28 UTC, Shalom Naim
no flags Details

Description Shalom Naim 2017-11-13 12:28:04 UTC
Created attachment 1351546 [details]
eample

Description of problem:
After token expiration the system, not logout automatically, but it shows error alerts and let the user keep working on it.

Version-Release number of selected component (if applicable):
5.9.0.8

How reproducible:
100%

Steps to Reproduce:
1. Log-in to CFME
2. Wait 10 mins
3. try to continue working on the same system you already opened

Actual results:
The system not logout 

Expected results:
The system will logout automatically and ask for  credentials insertion

Comment 4 CFME Bot 2017-11-14 08:28:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e3c24a27692c70c0f9ea621423e35e09399a37df

commit e3c24a27692c70c0f9ea621423e35e09399a37df
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Nov 13 18:56:01 2017 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 13 19:10:32 2017 +0000

    API(js) - redirect to dashboard#login on 401
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1512525

 app/assets/javascripts/miq_api.js | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

Comment 6 Martin Hradil 2018-04-16 14:24:40 UTC
*** Bug 1567879 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.